<main class="main">
  <div class="flex justify-between content-center">
    <img src="assets/logo.png" alt="Logo Angularum" class="w-[240px] h-auto">
    @if (payload$ | async ; as payload) {
      <div class="flex content-center gap-2 cursor-pointer" (click)="onLogout()">
        <lucide-icon name="user"/>
        <p class="text-base">{{ payload.firstname }} {{ payload.lastname }}</p>
      </div>
    }
  </div>

  <router-outlet></router-outlet>

  <p-toast position="top-right"></p-toast>
</main>

